<!DOCTYPE HTML><html><head><title>uauto Python Backend API documentation</title><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta http-equiv="Content-Type" content="text/html; charset=utf-8"><meta name="generator" content="https://github.com/raml2html/raml2html 7.1.0"><link rel="stylesheet" href="https://netdna.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/default.min.css"><script type="text/javascript" src="https://code.jquery.com/jquery-1.11.0.min.js"></script><script type="text/javascript" src="https://netdna.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script><script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script><script type="text/javascript">
      $(document).ready(function() {
        $('.page-header pre code, .top-resource-description pre code, .modal-body pre code').each(function(i, block) {
          hljs.highlightBlock(block);
        });

        $('[data-toggle]').click(function() {
          var selector = $(this).data('target') + ' pre code';
          $(selector).each(function(i, block) {
            hljs.highlightBlock(block);
          });
        });

        // open modal on hashes like #_action_get
        $(window).bind('hashchange', function(e) {
          var anchor_id = document.location.hash.substr(1); //strip #
          var element = $('#' + anchor_id);

          // do we have such element + is it a modal?  --> show it
          if (element.length && element.hasClass('modal')) {
            element.modal('show');
          }
        });

        // execute hashchange on first page load
        $(window).trigger('hashchange');

        // remove url fragment on modal hide
        $('.modal').on('hidden.bs.modal', function() {
          try {
            if (history && history.replaceState) {
                history.replaceState({}, '', '#');
            }
          } catch(e) {}
        });
      });
    </script><style>
      .hljs {
        background: transparent;
      }
      .parent {
        color: #999;
      }
      .list-group-item > .badge {
        float: none;
        margin-right: 6px;
      }
      .panel-title > .methods {
        float: right;
      }
      .badge {
        border-radius: 0;
        text-transform: uppercase;
        width: 70px;
        font-weight: normal;
        color: #f3f3f6;
        line-height: normal;
      }
      .badge_get {
        background-color: #63a8e2;
      }
      .badge_post {
        background-color: #6cbd7d;
      }
      .badge_put {
        background-color: #22bac4;
      }
      .badge_delete {
        background-color: #d26460;
      }
      .badge_patch {
        background-color: #ccc444;
      }
      .list-group, .panel-group {
        margin-bottom: 0;
      }
      .panel-group .panel+.panel-white {
        margin-top: 0;
      }
      .panel-group .panel-white {
        border-bottom: 1px solid #F5F5F5;
        border-radius: 0;
      }
      .panel-white:last-child {
        border-bottom-color: white;
        -webkit-box-shadow: none;
        box-shadow: none;
      }
      .panel-white .panel-heading {
        background: white;
      }
      .tab-pane ul {
        padding-left: 2em;
      }
      .tab-pane h1 {
        font-size: 1.3em;
      }
      .tab-pane h2 {
        font-size: 1.2em;
        padding-bottom: 4px;
        border-bottom: 1px solid #ddd;
      }
      .tab-pane h3 {
        font-size: 1.1em;
      }
      .tab-content {
        border-left: 1px solid #ddd;
        border-right: 1px solid #ddd;
        border-bottom: 1px solid #ddd;
        padding: 10px;
      }
      #sidebar {
        margin-top: 30px;
        padding-right: 5px;
        overflow: auto;
        height: 90%;
      }
      .top-resource-description {
        border-bottom: 1px solid #ddd;
        background: #fcfcfc;
        padding: 15px 15px 0 15px;
        margin: -15px -15px 10px -15px;
      }
      .resource-description {
        border-bottom: 1px solid #fcfcfc;
        background: #fcfcfc;
        padding: 15px 15px 0 15px;
        margin: -15px -15px 10px -15px;
      }
      .resource-description p:last-child {
        margin: 0;
      }
      .list-group .badge {
        float: left;
      }
      .method_description {
        margin-left: 85px;
      }
      .method_description p:last-child {
        margin: 0;
      }
      .list-group-item {
        cursor: pointer;
      }
      .list-group-item:hover {
        background-color: #f5f5f5;
      }
      pre code {
        overflow: auto;
        word-wrap: normal;
        white-space: pre;
      }
      .items {
        background: #f5f5f5;
        color: #333;
        border: 1px solid #ccc;
        border-radius: 4px;
        padding: 9.5px;
        margin: 0 0 10px;
        font-size: 13px;
        line-height: 1.42857143;
      }
      .examples {
        margin-left: 0.5em;
      }
      .resource-modal li > ul {
        margin-bottom: 1em;
      }
    </style></head><body data-spy="scroll" data-target="#sidebar"><div class="container"><div class="row"><div class="col-md-9" role="main"><div class="page-header"><h1>uauto Python Backend API documentation</h1><p>http://autokaran.purambokku.me/python</p></div><div class="panel panel-default"><div class="panel-heading"><h3 id="login" class="panel-title">/login</h3></div><div class="panel-body"><div class="panel-group"><div class="panel panel-white resource-modal"><div class="panel-heading"><h4 class="panel-title"><a class="collapsed" data-toggle="collapse" href="#panel_login"><span class="parent"></span>/login</a> <span class="methods"><a href="#login_post"><span class="badge badge_post">post</span></a></span></h4></div><div id="panel_login" class="panel-collapse collapse"><div class="panel-body"><div class="list-group"><div onclick="window.location.href = '#login_post'" class="list-group-item"><span class="badge badge_post">post</span><div class="method_description"><p>Authenticate a user with credentials. Either mobile number or email can be used along with password for authenticating. In case, if both are supplied along with password mobile field will be considered ignoring email.</p></div><div class="clearfix"></div></div></div></div></div><div class="modal fade" tabindex="0" id="login_post"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_post">post</span> <span class="parent"></span>/login</h4></div><div class="modal-body"><div class="alert alert-info"><p>Authenticate a user with credentials. Either mobile number or email can be used along with password for authenticating. In case, if both are supplied along with password mobile field will be considered ignoring email.</p></div><ul class="nav nav-tabs"><li class="active"><a href="#login_post_request" data-toggle="tab">Request</a></li><li><a href="#login_post_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="login_post_request"><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "mobile": "9876543210",
  "password": "testing"
}</code></pre></div></div><div class="tab-pane" id="login_post_response"><h2>HTTP status code <a href="http://httpstatus.es/200" target="_blank">200</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": true,
  "user": {
    "name": "prashere",
    "u_type": 0,
    "_id": 4,
    "updated_at": "30-01-2018",
    "mail": "pras@mail.com",
    "created_at": "30-01-2018",
    "mobile": "934534532",
    "license": null,
    "deleted_at": null,
    "address": null
  }
}</code></pre></div><h2>HTTP status code <a href="http://httpstatus.es/400" target="_blank">400</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "password not supplied"
}</code></pre></div><h2>HTTP status code <a href="http://httpstatus.es/404" target="_blank">404</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "user not found"
}</code></pre></div></div></div></div></div></div></div></div></div></div></div><div class="panel panel-default"><div class="panel-heading"><h3 id="users" class="panel-title">/users</h3></div><div class="panel-body"><div class="panel-group"><div class="panel panel-white resource-modal"><div class="panel-heading"><h4 class="panel-title"><a class="collapsed" data-toggle="collapse" href="#panel_users"><span class="parent"></span>/users</a> <span class="methods"><a href="#users_get"><span class="badge badge_get">get</span></a> <a href="#users_post"><span class="badge badge_post">post</span></a></span></h4></div><div id="panel_users" class="panel-collapse collapse"><div class="panel-body"><div class="list-group"><div onclick="window.location.href = '#users_get'" class="list-group-item"><span class="badge badge_get">get</span><div class="method_description"><p>Get list of all users</p></div><div class="clearfix"></div></div><div onclick="window.location.href = '#users_post'" class="list-group-item"><span class="badge badge_post">post</span><div class="method_description"><p>Create a new user</p></div><div class="clearfix"></div></div></div></div></div><div class="modal fade" tabindex="0" id="users_get"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_get">get</span> <span class="parent"></span>/users</h4></div><div class="modal-body"><div class="alert alert-info"><p>Get list of all users</p></div><ul class="nav nav-tabs"><li class="active"><a href="#users_get_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="users_get_response"><h2>HTTP status code <a href="http://httpstatus.es/200" target="_blank">200</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": true,
  "users": [
    {
        "name": "prashere",
        "u_type": 0,
        "_id": 4,
        "updated_at": "30-01-2018",
        "mail": "pras@mail.com",
        "created_at": "30-01-2018",
        "mobile": "934534532",
        "license": null,
        "deleted_at": null,
        "address": null
      },
      {
        "name": "testuser",
        "u_type": 0,
        "_id": 2,
        "updated_at": "30-01-2018",
        "mail": "test@testing.com",
        "created_at": "30-01-2018",
        "mobile": "234234808",
        "license": null,
        "deleted_at": null,
        "address": null
      }]
}
</code></pre></div></div></div></div></div></div></div><div class="modal fade" tabindex="0" id="users_post"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_post">post</span> <span class="parent"></span>/users</h4></div><div class="modal-body"><div class="alert alert-info"><p>Create a new user</p></div><ul class="nav nav-tabs"><li class="active"><a href="#users_post_request" data-toggle="tab">Request</a></li><li><a href="#users_post_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="users_post_request"><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><strong>Properties</strong><ul><li><strong>name</strong>: <em>required (string)</em></li><li><strong>mail</strong>: <em>required (string)</em></li><li><strong>mobile</strong>: <em>required (string)</em></li><li><strong>address</strong>: <em>required (string)</em></li><li><strong>license</strong>: <em>required (string)</em></li><li><strong>password</strong>: <em>required (string)</em></li><li><strong>type</strong>: <em>required (integer)</em></li></ul><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "name": "Prashere",
  "mail": null,
  "mobile": null,
  "address": null,
  "license": null,
  "type": 0,
  "password": "testing"
}</code></pre></div></div><div class="tab-pane" id="users_post_response"><h2>HTTP status code <a href="http://httpstatus.es/201" target="_blank">201</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": true,
  "user": 4
}
</code></pre></div><h2>HTTP status code <a href="http://httpstatus.es/400" target="_blank">400</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "please check your json data"
}
</code></pre></div></div></div></div></div></div></div></div><div class="panel panel-white resource-modal"><div class="panel-heading"><h4 class="panel-title"><a class="collapsed" data-toggle="collapse" href="#panel_users__user_id_"><span class="parent">/users</span>/{user_id}</a> <span class="methods"><a href="#users__user_id__get"><span class="badge badge_get">get</span></a> <a href="#users__user_id__put"><span class="badge badge_put">put</span></a> <a href="#users__user_id__delete"><span class="badge badge_delete">delete</span></a></span></h4></div><div id="panel_users__user_id_" class="panel-collapse collapse"><div class="panel-body"><div class="list-group"><div onclick="window.location.href = '#users__user_id__get'" class="list-group-item"><span class="badge badge_get">get</span><div class="method_description"><p>Get details of a specific user</p></div><div class="clearfix"></div></div><div onclick="window.location.href = '#users__user_id__put'" class="list-group-item"><span class="badge badge_put">put</span><div class="method_description"><p>Update details of specific user</p></div><div class="clearfix"></div></div><div onclick="window.location.href = '#users__user_id__delete'" class="list-group-item"><span class="badge badge_delete">delete</span><div class="method_description"><p>Delete a specific user</p></div><div class="clearfix"></div></div></div></div></div><div class="modal fade" tabindex="0" id="users__user_id__get"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_get">get</span> <span class="parent">/users</span>/{user_id}</h4></div><div class="modal-body"><div class="alert alert-info"><p>Get details of a specific user</p></div><ul class="nav nav-tabs"><li class="active"><a href="#users__user_id__get_request" data-toggle="tab">Request</a></li><li><a href="#users__user_id__get_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="users__user_id__get_request"><h3>URI Parameters</h3><ul><li><strong>user_id</strong>: <em>required (string)</em></li></ul></div><div class="tab-pane" id="users__user_id__get_response"><h2>HTTP status code <a href="http://httpstatus.es/200" target="_blank">200</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": true,
  "user": {
    "_id": 1,
    "name": "prashere",
    "mobile": "9876543210",
     "mail": "pras@example.com",
     "type": 0,
     "address": null,
     "created_at": "30-12-2018",
     "updated_at": "30-12-2018"
  }
}
</code></pre></div><h2>HTTP status code <a href="http://httpstatus.es/404" target="_blank">404</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "user not found"
}
</code></pre></div></div></div></div></div></div></div><div class="modal fade" tabindex="0" id="users__user_id__put"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_put">put</span> <span class="parent">/users</span>/{user_id}</h4></div><div class="modal-body"><div class="alert alert-info"><p>Update details of specific user</p></div><ul class="nav nav-tabs"><li class="active"><a href="#users__user_id__put_request" data-toggle="tab">Request</a></li><li><a href="#users__user_id__put_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="users__user_id__put_request"><h3>URI Parameters</h3><ul><li><strong>user_id</strong>: <em>required (string)</em></li></ul></div><div class="tab-pane" id="users__user_id__put_response"><h2>HTTP status code <a href="http://httpstatus.es/200" target="_blank">200</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": true,
  "user": {
    "_id": 1,
    "name": "prashere",
    "mobile": "9876543210",
    "mail": "pras@example.com",
    "type": 0,
    "address": null
  }
}
</code></pre></div><h2>HTTP status code <a href="http://httpstatus.es/404" target="_blank">404</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "user not found"
}
</code></pre></div></div></div></div></div></div></div><div class="modal fade" tabindex="0" id="users__user_id__delete"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_delete">delete</span> <span class="parent">/users</span>/{user_id}</h4></div><div class="modal-body"><div class="alert alert-info"><p>Delete a specific user</p></div><ul class="nav nav-tabs"><li class="active"><a href="#users__user_id__delete_request" data-toggle="tab">Request</a></li><li><a href="#users__user_id__delete_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="users__user_id__delete_request"><h3>URI Parameters</h3><ul><li><strong>user_id</strong>: <em>required (string)</em></li></ul></div><div class="tab-pane" id="users__user_id__delete_response"><h2>HTTP status code <a href="http://httpstatus.es/204" target="_blank">204</a></h2><h2>HTTP status code <a href="http://httpstatus.es/404" target="_blank">404</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "user not found"
}
</code></pre></div></div></div></div></div></div></div></div><div class="panel panel-white resource-modal"><div class="panel-heading"><h4 class="panel-title"><a class="collapsed" data-toggle="collapse" href="#panel_users__user_id__vehicles__vehicle_id__"><span class="parent">/users/{user_id}</span>/vehicles/{vehicle_id}/</a> <span class="methods"><a href="#users__user_id__vehicles__vehicle_id___post"><span class="badge badge_post">post</span></a></span></h4></div><div id="panel_users__user_id__vehicles__vehicle_id__" class="panel-collapse collapse"><div class="panel-body"><div class="list-group"><div onclick="window.location.href = '#users__user_id__vehicles__vehicle_id___post'" class="list-group-item"><span class="badge badge_post">post</span><div class="method_description"><p>Associate a vehicle with this driver. vehicle &amp; driver shares a one-to-one relationship. Don&#39;t associate with more than one driver with vehicle and vice versa.</p></div><div class="clearfix"></div></div></div></div></div><div class="modal fade" tabindex="0" id="users__user_id__vehicles__vehicle_id___post"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_post">post</span> <span class="parent">/users/{user_id}</span>/vehicles/{vehicle_id}/</h4></div><div class="modal-body"><div class="alert alert-info"><p>Associate a vehicle with this driver. vehicle &amp; driver shares a one-to-one relationship. Don&#39;t associate with more than one driver with vehicle and vice versa.</p></div><ul class="nav nav-tabs"><li class="active"><a href="#users__user_id__vehicles__vehicle_id___post_request" data-toggle="tab">Request</a></li><li><a href="#users__user_id__vehicles__vehicle_id___post_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="users__user_id__vehicles__vehicle_id___post_request"><h3>URI Parameters</h3><ul><li><strong>user_id</strong>: <em>required (string)</em></li><li><strong>vehicle_id</strong>: <em>required (string)</em></li></ul><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{}
</code></pre></div></div><div class="tab-pane" id="users__user_id__vehicles__vehicle_id___post_response"><h2>HTTP status code <a href="http://httpstatus.es/201" target="_blank">201</a></h2><h2>HTTP status code <a href="http://httpstatus.es/400" target="_blank">400</a></h2><h2>HTTP status code <a href="http://httpstatus.es/404" target="_blank">404</a></h2></div></div></div></div></div></div></div><div class="panel panel-white resource-modal"><div class="panel-heading"><h4 class="panel-title"><a class="collapsed" data-toggle="collapse" href="#panel_users__user_id__stands__stand_id__"><span class="parent">/users/{user_id}</span>/stands/{stand_id}/</a> <span class="methods"><a href="#users__user_id__stands__stand_id___post"><span class="badge badge_post">post</span></a></span></h4></div><div id="panel_users__user_id__stands__stand_id__" class="panel-collapse collapse"><div class="panel-body"><div class="list-group"><div onclick="window.location.href = '#users__user_id__stands__stand_id___post'" class="list-group-item"><span class="badge badge_post">post</span><div class="method_description"><p>Add this user to a auto stand. auto-stand &amp; driver shares a one-to-many relationship. Don&#39;t associate the driver with more than one stand.</p></div><div class="clearfix"></div></div></div></div></div><div class="modal fade" tabindex="0" id="users__user_id__stands__stand_id___post"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_post">post</span> <span class="parent">/users/{user_id}</span>/stands/{stand_id}/</h4></div><div class="modal-body"><div class="alert alert-info"><p>Add this user to a auto stand. auto-stand &amp; driver shares a one-to-many relationship. Don&#39;t associate the driver with more than one stand.</p></div><ul class="nav nav-tabs"><li class="active"><a href="#users__user_id__stands__stand_id___post_request" data-toggle="tab">Request</a></li><li><a href="#users__user_id__stands__stand_id___post_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="users__user_id__stands__stand_id___post_request"><h3>URI Parameters</h3><ul><li><strong>user_id</strong>: <em>required (string)</em></li><li><strong>stand_id</strong>: <em>required (string)</em></li></ul><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{}
</code></pre></div></div><div class="tab-pane" id="users__user_id__stands__stand_id___post_response"><h2>HTTP status code <a href="http://httpstatus.es/201" target="_blank">201</a></h2><h2>HTTP status code <a href="http://httpstatus.es/400" target="_blank">400</a></h2><h2>HTTP status code <a href="http://httpstatus.es/404" target="_blank">404</a></h2></div></div></div></div></div></div></div></div></div></div><div class="panel panel-default"><div class="panel-heading"><h3 id="vehicles" class="panel-title">/vehicles</h3></div><div class="panel-body"><div class="panel-group"><div class="panel panel-white resource-modal"><div class="panel-heading"><h4 class="panel-title"><a class="collapsed" data-toggle="collapse" href="#panel_vehicles"><span class="parent"></span>/vehicles</a> <span class="methods"><a href="#vehicles_get"><span class="badge badge_get">get</span></a> <a href="#vehicles_post"><span class="badge badge_post">post</span></a></span></h4></div><div id="panel_vehicles" class="panel-collapse collapse"><div class="panel-body"><div class="list-group"><div onclick="window.location.href = '#vehicles_get'" class="list-group-item"><span class="badge badge_get">get</span><div class="method_description"><p>Get list of all vehicles</p></div><div class="clearfix"></div></div><div onclick="window.location.href = '#vehicles_post'" class="list-group-item"><span class="badge badge_post">post</span><div class="method_description"><p>Add a new vehicle</p></div><div class="clearfix"></div></div></div></div></div><div class="modal fade" tabindex="0" id="vehicles_get"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_get">get</span> <span class="parent"></span>/vehicles</h4></div><div class="modal-body"><div class="alert alert-info"><p>Get list of all vehicles</p></div><ul class="nav nav-tabs"><li class="active"><a href="#vehicles_get_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="vehicles_get_response"><h2>HTTP status code <a href="http://httpstatus.es/200" target="_blank">200</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": true,
  "vehicles": [
    {
      "created_at": "05-02-2018",
      "updated_at": "05-02-2018",
      "reg_number": "PY01-XX9900",
      "v_model": "FZ-S",
      "manufacturer": "Yamaha",
      "full_check": "29-01-2018"
    },
    {
      "created_at": "05-02-2018",
      "updated_at": "05-02-2018",
      "reg_number": "PY01-XX9901",
      "v_model": "FZ",
      "manufacturer": "Yamaha",
      "full_check": "12-10-2017"
    }]
}
</code></pre></div></div></div></div></div></div></div><div class="modal fade" tabindex="0" id="vehicles_post"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_post">post</span> <span class="parent"></span>/vehicles</h4></div><div class="modal-body"><div class="alert alert-info"><p>Add a new vehicle</p></div><ul class="nav nav-tabs"><li class="active"><a href="#vehicles_post_request" data-toggle="tab">Request</a></li><li><a href="#vehicles_post_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="vehicles_post_request"><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><strong>Properties</strong><ul><li><strong>reg_number</strong>: <em>required (string)</em></li><li><strong>manufacturer</strong>: <em>required (string)</em></li><li><strong>v_model</strong>: <em>required (string)</em></li><li><strong>full_check</strong>: <em>required (datetime)</em></li></ul><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "reg_number": "PY01-XX9900",
  "manufacturer": "Yamaha",
  "v_model": "FZ-S",
  "full_check": "29-01-2018"
}</code></pre></div></div><div class="tab-pane" id="vehicles_post_response"><h2>HTTP status code <a href="http://httpstatus.es/201" target="_blank">201</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": true,
  "vehicle": "PY01-XX9900"
}
</code></pre></div><h2>HTTP status code <a href="http://httpstatus.es/400" target="_blank">400</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "&lt;field_name&gt; has to be unique"
}
</code></pre></div></div></div></div></div></div></div></div><div class="panel panel-white resource-modal"><div class="panel-heading"><h4 class="panel-title"><a class="collapsed" data-toggle="collapse" href="#panel_vehicles__reg_number_"><span class="parent">/vehicles</span>/{reg_number}</a> <span class="methods"><a href="#vehicles__reg_number__get"><span class="badge badge_get">get</span></a> <a href="#vehicles__reg_number__put"><span class="badge badge_put">put</span></a> <a href="#vehicles__reg_number__delete"><span class="badge badge_delete">delete</span></a></span></h4></div><div id="panel_vehicles__reg_number_" class="panel-collapse collapse"><div class="panel-body"><div class="list-group"><div onclick="window.location.href = '#vehicles__reg_number__get'" class="list-group-item"><span class="badge badge_get">get</span><div class="method_description"><p>Get details of a specific vehicle by it&#39;s register number</p></div><div class="clearfix"></div></div><div onclick="window.location.href = '#vehicles__reg_number__put'" class="list-group-item"><span class="badge badge_put">put</span><div class="method_description"><p>Update details of a particular vehicle</p></div><div class="clearfix"></div></div><div onclick="window.location.href = '#vehicles__reg_number__delete'" class="list-group-item"><span class="badge badge_delete">delete</span><div class="method_description"><p>Delete a particular vehicle</p></div><div class="clearfix"></div></div></div></div></div><div class="modal fade" tabindex="0" id="vehicles__reg_number__get"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_get">get</span> <span class="parent">/vehicles</span>/{reg_number}</h4></div><div class="modal-body"><div class="alert alert-info"><p>Get details of a specific vehicle by it&#39;s register number</p></div><ul class="nav nav-tabs"><li class="active"><a href="#vehicles__reg_number__get_request" data-toggle="tab">Request</a></li><li><a href="#vehicles__reg_number__get_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="vehicles__reg_number__get_request"><h3>URI Parameters</h3><ul><li><strong>reg_number</strong>: <em>required (string)</em></li></ul></div><div class="tab-pane" id="vehicles__reg_number__get_response"><h2>HTTP status code <a href="http://httpstatus.es/200" target="_blank">200</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": true,
  "vehicle": {
    "created_at": "05-02-2018",
    "updated_at": "05-02-2018",
    "reg_number": "PY01-XX9900",
    "v_model": "FZ-S",
    "manufacturer": "Yamaha",
    "full_check": "29-01-2018"
  }
}
</code></pre></div><h2>HTTP status code <a href="http://httpstatus.es/404" target="_blank">404</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "vehicle not found"
}
</code></pre></div></div></div></div></div></div></div><div class="modal fade" tabindex="0" id="vehicles__reg_number__put"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_put">put</span> <span class="parent">/vehicles</span>/{reg_number}</h4></div><div class="modal-body"><div class="alert alert-info"><p>Update details of a particular vehicle</p></div><ul class="nav nav-tabs"><li class="active"><a href="#vehicles__reg_number__put_request" data-toggle="tab">Request</a></li><li><a href="#vehicles__reg_number__put_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="vehicles__reg_number__put_request"><h3>URI Parameters</h3><ul><li><strong>reg_number</strong>: <em>required (string)</em></li></ul></div><div class="tab-pane" id="vehicles__reg_number__put_response"><h2>HTTP status code <a href="http://httpstatus.es/200" target="_blank">200</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": true,
  "vehicle": {
    "created_at": "05-02-2018",
    "updated_at": "05-02-2018",
    "reg_number": "PY01-XX9900",
    "v_model": "FZ-S",
    "manufacturer": "Yamaha",
    "full_check": "29-01-2018"
  }
}
</code></pre></div><h2>HTTP status code <a href="http://httpstatus.es/404" target="_blank">404</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "vehicle not found"
}
</code></pre></div></div></div></div></div></div></div><div class="modal fade" tabindex="0" id="vehicles__reg_number__delete"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel"><span class="badge badge_delete">delete</span> <span class="parent">/vehicles</span>/{reg_number}</h4></div><div class="modal-body"><div class="alert alert-info"><p>Delete a particular vehicle</p></div><ul class="nav nav-tabs"><li class="active"><a href="#vehicles__reg_number__delete_request" data-toggle="tab">Request</a></li><li><a href="#vehicles__reg_number__delete_response" data-toggle="tab">Response</a></li></ul><div class="tab-content"><div class="tab-pane active" id="vehicles__reg_number__delete_request"><h3>URI Parameters</h3><ul><li><strong>reg_number</strong>: <em>required (string)</em></li></ul></div><div class="tab-pane" id="vehicles__reg_number__delete_response"><h2>HTTP status code <a href="http://httpstatus.es/204" target="_blank">204</a></h2><h2>HTTP status code <a href="http://httpstatus.es/404" target="_blank">404</a></h2><h3>Body</h3><p><strong>Media type</strong>: application/json</p><p><strong>Type</strong>: object</p><p><strong>Example</strong>:</p><div class="examples"><pre><code>{
  "success": false,
  "reason": "vehicle not found"
}
</code></pre></div></div></div></div></div></div></div></div></div></div></div></div><div class="col-md-3"><div id="sidebar" class="hidden-print affix" role="complementary"><ul class="nav nav-pills nav-stacked"><li><a href="#login">/login</a></li><li><a href="#users">/users</a></li><li><a href="#vehicles">/vehicles</a></li></ul></div></div></div></div></body></html>